Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeinsertbeforenomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeinsertbeforenomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "insertBefore(newChild,refChild)" method causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Get the FIRST item from the entity reference and execute the "insertBefore(newChild,refChild)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-952280727 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-952280727')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-952280727

Definition at line 49 of file nodeinsertbeforenomodificationallowederr.java.

## Constructor & Destructor Documentation

nodeinsertbeforenomodificationallowederr::nodeinsertbeforenomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file nodeinsertbeforenomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String nodeinsertbeforenomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 92 of file nodeinsertbeforenomodificationallowederr.java.
    00092                                 {
    00093       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeinsertbeforenomodificationallowederr";
    00094    }

void nodeinsertbeforenomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 95 of file nodeinsertbeforenomodificationallowederr.java. References DOMTestCase::doMain().
    00095                                           {
    00096         DOMTestCase.doMain(nodeinsertbeforenomodificationallowederr.class,args);
    00097    }

void nodeinsertbeforenomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file nodeinsertbeforenomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node genderNode;
    00066       Node entRef;
    00067       Node entElement;
    00068       Node createdNode;
    00069       Node insertedNode;
    00070       Node refChild = null;
    00071
    00072       doc = load("staff");
    00073       genderList = doc.getElementsByTagName("gender");
    00074       genderNode = genderList.item(2);
    00075       entRef = genderNode.getFirstChild();
    00076       entElement = entRef.getFirstChild();
    00077       createdNode = doc.createElement("text3");
    00078
    00079         {
    00080                 boolean success = false;
    00081                 try {
    00082                         insertedNode = entElement.insertBefore(createdNode,refChild);
    00083
    00084                 }
    00085                 catch(DOMException ex) {
    00086                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00087                 }
    00088                 assertTrue("nodeInsertBeforeNoModificationAllowedErrAssert",success);
    00089         }
    00090
    00091    }

The documentation for this class was generated from the following file:

- nodeinsertbeforenomodificationallowederr.java